Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.engine
Class InstanceDispatcher

    java.lang.Object
      org.apache.axis2.handlers.AbstractHandler
          org.apache.axis2.engine.InstanceDispatcher

All Implemented Interfaces:
  Handler

Deprecated. The functionality of this class has moved into the DispatchPhase postconditions

    public class InstanceDispatcher

extends AbstractHandler

By the time the control comes to this handler, the dispatching must have happened so that the message context contains the AxisServiceGroup, AxisService and AxisOperation. This will then try to find the Contexts of ServiceGroup, Service and the Operation.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler
`Handler.InvocationResponse`

Field Summary

Fields inherited from class org.apache.axis2.handlers.AbstractHandler
`handlerDesc`

Constructor Summary
`InstanceDispatcher()` Deprecated.

Method Summary
`Handler.InvocationResponse` | `invoke(MessageContext msgContext)` Deprecated. This doesn't do anything, as the functionality is now in DispatchPhase.checkPostConditions() The class remains for backwards compatibility of axis2.xml files, but it should go away after 1.3.

Methods inherited from class org.apache.axis2.handlers.AbstractHandler
`cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstanceDispatcher

    public InstanceDispatcher()

  Deprecated.

Method Detail

### invoke

    public Handler.InvocationResponse invoke(MessageContext msgContext)
                                      throws AxisFault

  Deprecated.
  This doesn't do anything, as the functionality is now in DispatchPhase.checkPostConditions() The class remains for backwards compatibility of axis2.xml files, but it should go away after 1.3.

  Parameters:
    `msgContext` - the `MessageContext` to process with this `Handler`.
  Returns:
    An InvocationResponse that indicates what the next step in the message processing should be.
  Throws:
    `AxisFault` - if the handler encounters an error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.